"use strict";

module.exports.up = function(knex, Promise) {
	return knex.schema
		.alterTable("srap_tasks_in_progress", (table) => {
			table.timestamp("started_at").alter().nullable().defaultTo(null);
			table.boolean("started").notNullable().defaultTo(false);
		})
		.renameTable("srap_tasks_in_progress", "srap_queue");
};
	
module.exports.down = function(knex, Promise) {
	return knex.schema
		.renameTable("srap_queue", "srap_tasks_in_progress")
		.alterTable("srap_tasks_in_progress", (table) => {
			table.timestamp("started_at").alter().notNullable().defaultTo(knex.fn.now());
			table.dropColumn("started");
		});
};
